@arulmuruganas opened this Issue on March 29th 2016

Hi,
How do i configure piwik to pickup php from different location instead of system's default php version.
The required php version and modules (like mbstring) are installed in different location.

@tsteur commented on March 29th 2016 Owner

Hi, do you mind asking this question in Piwik Forum https://forum.piwik.org/ ? Here in our issue tracker we handle only bugs and features.

@arulmuruganas commented on March 30th 2016

Hi,
Thanks for your response,
I have asked the same in piwiki forum, matthieu requested to post it as a bug in github.
Here's the link
https://forum.piwik.org/t/about-php-version-used/18579

@tsteur commented on March 31st 2016 Owner

Thx for that and sorry for closing the issue. The issue sounded like a question and not like a needed feature :)

I'm not quite sure where Piwik is supposed to pick up another PHP. Do you mean when running the archiving process on the command line eg as a cronjob?

@arulmuruganas commented on April 1st 2016

At that time of installation, as part of system check, it errors out as mbstring module is missing.
I have installed mbstring in another location but not on system's default php. Looks like piwik picking up system's default php, need a way to configure the piwik to pickup php from user defined location.

@tsteur commented on April 3rd 2016 Owner

Isn't this a webserver (apache / nginx / ... ) configuration? How do you manage the different installed PHP versions etc? I'm not sure if this is actually an issue of Piwik.

@mattab commented on July 14th 2016 Owner

@arulmuruganas do you maybe have a chance to answer question above?

@mattab commented on August 23rd 2016 Owner

As we have not heard from you, closing the issue. Feel free to comment and re-open if you still experience the issue and have more info.

@arulmuruganas commented on August 23rd 2016

Hi Thanks for your response, scenario is default version of machine's php do not have some of the modules required by piwik, as a result am unable to install piwik. So i have installed php with required modules in a specific location and i wanted piwik to pick the php from that location.

@mattab commented on August 23rd 2016 Owner

FYI here is the code that looks for the PHP binary: https://github.com/piwik/piwik/blob/2.16.2/core/CliMulti/CliPhp.php#L15-L58

Powered by GitHub Issue Mirror